.field {
    display: flex;
    align-items: center;

    padding-bottom: 7px;
    border-bottom: 1px solid var(--color-blue);
    color: var(--color-blue);
}

.errorState {
    color: var(--color-red);
}

.successState {
    color: var(--color-green);
    border-bottom-color: var(--color-green);
}

.input {
    display: block;
    flex-grow: 1;
    font-weight: 400;
}

.isDisabled {
    opacity: .6;
}

.input::placeholder {
    color: inherit;
}

.append {
    flex-shrink: 0;
    margin-left: 4px;
}